using System.Collections.Generic;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace SilverlightApplication1.ViewModel
{
    public class ExampleViewModel : ViewModelBase
    {
        private ObservableCollection<double?> _collection1;
        private ObservableCollection<double?> _collection2;
        private ObservableCollection<double?> _collection3;

        public ExampleViewModel()
        {
            this.Collection1 = new ObservableCollection<double?>() { 1, 2, 3, 4 };
            this.Collection2 = new ObservableCollection<double?>() { 10, 20, 30, null };
            this.Collection3 = new ObservableCollection<double?>() { 100, 200, 300, null };
        }

        public ObservableCollection<double?> Collection1
        {
            get
            {
                return this._collection1;
            }
            set
            {
                if (this._collection1 == value)
                {
                    return;
                }

                this._collection1 = value;
                this.OnPropertyChanged("Collection1");
            }
        }
        public ObservableCollection<double?> Collection2
        {
            get
            {
                return this._collection2;
            }
            set
            {
                if (this._collection2 == value)
                {
                    return;
                }

                this._collection2 = value;
                this.OnPropertyChanged("Collection2");
            }
        }
        public ObservableCollection<double?> Collection3
        {
            get
            {
                return this._collection3;
            }
            set
            {
                if (this._collection3 == value)
                {
                    return;
                }

                this._collection3 = value;
                this.OnPropertyChanged("Collection3");
            }
        }
    }
}